equatorialToLocalHorizontal {oce} | R Documentation

## Convert equatorial to local horizontal coordinate

### Description

Convert from equatorial coordinates to local horizontal coordinates, i.e. azimuth and altitude.

### Usage

    equatorialToLocalHorizontal(rightAscension, declination, t, longitude, latitude)

### Arguments

`rightAscension` | right ascension, e.g. calculated with `eclipticalToEquatorial`.
`declination` | declination, e.g. calculated with `eclipticalToEquatorial`.
`t` | time of observation.
`longitude` | longitude of observation, positive in eastern hemisphere.
`latitude` | latitude of observation, positive in northern hemisphere.

### Details

The method is taken from equations 8.5 and 8.6 of [1], or, equivalently, from equations 12.5 and 12.6 of [2].

### Value

A data frame containing columns `altitude` (angle above horizon, in degrees) and `azimuth` (angle anticlockwise from south, in degrees).

### Author(s)

Dan Kelley, based on formulae in [1] and [2].

### References

1. Meeus, Jean, 1982. Astronomical formuae for Calculators. Willmann-Bell. Richmond VA, USA. 201 pages.

2. Meeus, Jean, 1991. Astronomical algorithms. Willmann-Bell, Richmond VA, USA. 429 pages.

[Package oce version 0.9-18 Index]